Subject: [pmtud] draft-ietf-pmtud-method-02

From: Gorry Fairhurst <[email-masked]>
Date: Tue, 09 Nov 2004 14:03:32 -0500

I have one question on this draft:

5.3.3  Suspend
   "In the Suspend state, probing is entirely disabled, and the MPS
   should be set to 512 bytes."
                    ^^^
- Is this minimum packet size for IPv4 *AND* IPv6?
- What is the relationship to the default restart_MTU ???
- I'm just wondering if going down to this small an MPS could have
implications for some other transports... if this is a general case (my
thoughts came from UDP-based apps).

You touched on this in the WG session, and as I recall also mentioned small
TCP cwnd's - and that a small MSS could benefit these? This also worried me,
can we really associate small PMTU with small cwnd --- I'd have thought the
two were orthogonal issues?

-----

And for the authors, a few minor NiTs to catch next edit:

1) Section 2
"IPv4 "ICMP Can't fragment" message" - is this the correct message? RFC792
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Isn't the message defined for ICMP (IPv4):
"Fragmentation needed and DF was set"

2) Section 4
   it MUST use a loss reporting mechanism mechanism (e.g. TCP SACK)
                                ^^^^^^^^^

3) 5.2.2  Selecting the initial MTU
    "With the this MTU,"...
          ^^^^^^^^
- delete one word.

4) 5.2.2  Selecting the initial MTU
    " (See Section 5.5.1"
                        ^

Best wishes,

Gorry

_______________________________________________
pmtud mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pmtud